Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.util
Class MessageRetransmissionAdjuster

    java.lang.Object
      org.apache.sandesha2.util.MessageRetransmissionAdjuster

    public class MessageRetransmissionAdjuster

extends java.lang.Object

This is used to adjust retransmission infoamation after each time the message is sent.

Field Summary
`static int` | `LAZY_RESEND_SCALE_FACTOR`
`static int` | `NUMBER_OF_EAGER_RESENDS_ALLOWED`

Constructor Summary
`MessageRetransmissionAdjuster()`

Method Summary
`static boolean` | `adjustRetransmittion(RMMsgContext rmMsgCtx, SenderBean retransmitterBean, org.apache.axis2.context.ConfigurationContext configContext, StorageManager storageManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUMBER_OF_EAGER_RESENDS_ALLOWED

    public static final int NUMBER_OF_EAGER_RESENDS_ALLOWED

See Also:
  Constant Field Values

### LAZY_RESEND_SCALE_FACTOR

    public static final int LAZY_RESEND_SCALE_FACTOR

See Also:
  Constant Field Values

Constructor Detail

### MessageRetransmissionAdjuster

    public MessageRetransmissionAdjuster()

Method Detail

### adjustRetransmittion

    public static boolean adjustRetransmittion(RMMsgContext rmMsgCtx,
                                               SenderBean retransmitterBean,
                                               org.apache.axis2.context.ConfigurationContext configContext,
                                               StorageManager storageManager)
                                        throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.